package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.OdsInorganizationWeiStationHourI;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 无组织微站监测对象 ods_inorganization_wei_station_hour_i
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "无组织微站监测")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsInorganizationWeiStationHourIQuery extends PageQuery
{

    @ApiModelProperty(value = "$column.columnComment")
    private String id;
    @ApiModelProperty(value = "$column.columnComment")
    private String stationId;
    @ApiModelProperty(value = "$column.columnComment")
    private String stationCode;
    @ApiModelProperty(value = "$column.columnComment")
    private String receiveTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String co;
    @ApiModelProperty(value = "$column.columnComment")
    private String no2;
    @ApiModelProperty(value = "$column.columnComment")
    private String so2;
    @ApiModelProperty(value = "$column.columnComment")
    private String o3;
    @ApiModelProperty(value = "$column.columnComment")
    private String voc;
    @ApiModelProperty(value = "$column.columnComment")
    private String noise;
    @ApiModelProperty(value = "$column.columnComment")
    private String pm25;
    @ApiModelProperty(value = "$column.columnComment")
    private String pm10;
    @ApiModelProperty(value = "$column.columnComment")
    private String temperature;
    @ApiModelProperty(value = "$column.columnComment")
    private String utc;
    @ApiModelProperty(value = "$column.columnComment")
    private String humidity;
    @ApiModelProperty(value = "$column.columnComment")
    private String wdirect;
    @ApiModelProperty(value = "$column.columnComment")
    private String wspeed;
    @ApiModelProperty(value = "$column.columnComment")
    private String apress;
    @ApiModelProperty(value = "$column.columnComment")
    private String equstatename;
    @ApiModelProperty(value = "$column.columnComment")
    private String equstate;
    @ApiModelProperty(value = "$column.columnComment")
    private String no;
    @ApiModelProperty(value = "$column.columnComment")
    private String tsp;
    @ApiModelProperty(value = "$column.columnComment")
    private String aqi;
    @ApiModelProperty(value = "$column.columnComment")
    private String aqiLevel;
    @ApiModelProperty(value = "$column.columnComment")
    private String priPollute;
    @ApiModelProperty(value = "$column.columnComment")
    private String type;
    @ApiModelProperty(value = "$column.columnComment")
    private String o38h;
    @ApiModelProperty(value = "$column.columnComment")
    private String createTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String updateTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String nox;
    @ApiModelProperty(value = "$column.columnComment")
    private String tvoc;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<OdsInorganizationWeiStationHourI> createLambdaQueryWrapper(OdsInorganizationWeiStationHourIQuery query) {
        QueryWrapper<OdsInorganizationWeiStationHourI> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getStationId()), "station_id", query.getStationId());
        wrapper.eq(ObjectUtil.isNotNull(query.getStationCode()), "station_code", query.getStationCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getReceiveTime()), "receive_time", query.getReceiveTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCo()), "co", query.getCo());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo2()), "no2", query.getNo2());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2()), "so2", query.getSo2());
        wrapper.eq(ObjectUtil.isNotNull(query.getO3()), "o3", query.getO3());
        wrapper.eq(ObjectUtil.isNotNull(query.getVoc()), "voc", query.getVoc());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoise()), "noise", query.getNoise());
        wrapper.eq(ObjectUtil.isNotNull(query.getPm25()), "pm25", query.getPm25());
        wrapper.eq(ObjectUtil.isNotNull(query.getPm10()), "pm10", query.getPm10());
        wrapper.eq(ObjectUtil.isNotNull(query.getTemperature()), "temperature", query.getTemperature());
        wrapper.eq(ObjectUtil.isNotNull(query.getUtc()), "utc", query.getUtc());
        wrapper.eq(ObjectUtil.isNotNull(query.getHumidity()), "humidity", query.getHumidity());
        wrapper.eq(ObjectUtil.isNotNull(query.getWdirect()), "wdirect", query.getWdirect());
        wrapper.eq(ObjectUtil.isNotNull(query.getWspeed()), "wspeed", query.getWspeed());
        wrapper.eq(ObjectUtil.isNotNull(query.getApress()), "apress", query.getApress());
        wrapper.eq(ObjectUtil.isNotNull(query.getEqustatename()), "equstatename", query.getEqustatename());
        wrapper.eq(ObjectUtil.isNotNull(query.getEqustate()), "equstate", query.getEqustate());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo()), "no", query.getNo());
        wrapper.eq(ObjectUtil.isNotNull(query.getTsp()), "tsp", query.getTsp());
        wrapper.eq(ObjectUtil.isNotNull(query.getAqi()), "aqi", query.getAqi());
        wrapper.eq(ObjectUtil.isNotNull(query.getAqiLevel()), "aqi_level", query.getAqiLevel());
        wrapper.eq(ObjectUtil.isNotNull(query.getPriPollute()), "pri_pollute", query.getPriPollute());
        wrapper.eq(ObjectUtil.isNotNull(query.getType()), "type", query.getType());
        wrapper.eq(ObjectUtil.isNotNull(query.getO38h()), "o38h", query.getO38h());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getNox()), "nox", query.getNox());
        wrapper.eq(ObjectUtil.isNotNull(query.getTvoc()), "tvoc", query.getTvoc());
        return wrapper;
        }
}
